﻿using System;
namespace MouseExtender.Interfaces
{
    public interface IItem
    {
        string Arguments { get; set; }
        System.Windows.DataTemplate GetDataTemplate();
        int IconIndex { get; set; }
        string IconSource { get; set; }
        bool IsUrl { get; set; }
        System.Windows.Media.Color ItemColor { get; set; }
        int ItemNumber { get; set; }
        string LaunchPath { get; set; }
        int TabId { get; set; }
        string ThumbsImageId { get; set; }
        string ToolTip { get; set; }
        string WorkingDirectory { get; set; }

        string ContentType { get; set; }
    }
}
