﻿using System.Windows.Input;

namespace MouseExtender.Logic.Helpers
{
    public static class KeyboardHelper
    {
        public static bool IsShift()
        {
            return ((Keyboard.Modifiers & ModifierKeys.Shift) == ModifierKeys.Shift);
        }

        public static bool IsControl()
        {
            return ((Keyboard.Modifiers & ModifierKeys.Control) == ModifierKeys.Control);
        }

        public static bool IsAlt()
        {
            return ((Keyboard.Modifiers & ModifierKeys.Alt) == ModifierKeys.Alt);
        }
    }
}

