﻿using System;
using System.Diagnostics;
using System.Windows.Controls;
using System.Windows.Navigation;
using MouseExtender.Logic;

namespace MouseExtender.Controls.UserControls
{
    /// <summary>
    /// Interaction logic for HelpUsUC.xaml
    /// </summary>
    public partial class HelpUsUC : UserControl
    {
        public HelpUsUC()
        {
            InitializeComponent();
            string donateUri = new Uri(new Uri(new Uri(Constants.MeSiteUrl), "donate/"), Constants.MeGoogleAnalyticsParams).AbsoluteUri;
            this.DataContext = donateUri;
        }

        private void Hyperlink_RequestNavigate(object sender, RequestNavigateEventArgs e)
        {
            ProcessStartInfo startInfo = new ProcessStartInfo(e.Uri.ToString());
            Process.Start(startInfo);
        }
    }
}
