﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MouseExtender.Logic.Entities;

namespace MouseExtender.Logic.Events
{
	public delegate void LaunchItemSelecting(object sender, LaunchItemSelectingEventArgs e);

	public class LaunchItemSelectingEventArgs : EventArgs
	{
		internal LaunchItemSelectingEventArgs(LauncherItem launcherItem)
		{
			LauncherItem = launcherItem;
			LaunchingCancelled = false;
		}

		public LauncherItem LauncherItem
		{
			get;
			private set;
		}

		public bool LaunchingCancelled
		{
			get;
			set;
		}
	}
}
