﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MouseExtender.WebSite.UnitTests.LoggingService;
using System.Transactions;
using MouseExtender.WebSite.UnitTests.UpdateService;

namespace MouseExtender.WebSite.UnitTests
{
    [TestClass]
    public class LoggingServiceTest
    {
        [TestMethod]
        public void SubmitErrorReport()
        {
            ErrorReport errorReport = new ErrorReport()
            {
                Id = Guid.NewGuid(),
                ErrorMessage = "Test error message",
                ErrorDetails = "Test error message details",
                ApplicationVersion = TestConstants.ApplicationVersion,
                ApplicationInstanceId = TestConstants.ApplicationInstanceId,
                IsCritical = true
            };

            LoggingServiceClient loggingProxy = new LoggingServiceClient();
            loggingProxy.SubmitErrorReport(errorReport);
        }
    }
}
